﻿@{
    if (ViewData.TryGetValue("ParentLayout", out var parentLayout) && parentLayout !=  null)
    {
        if(User.IsInRole("admin"))
        {
            Layout = "/Pages/Shared/_AdminLayout.cshtml";
        }
        else if(User.IsInRole("chef"))
        {
            Layout = "/Pages/Shared/_ChefLayout.cshtml";
        }
        // Layout = "/Pages/Shared/_AdminLayout.cshtml";
    }
    else
    {
        Layout = "/Areas/Identity/Pages/_Layout.cshtml";
    }
}

<h1>Manage your account</h1>

<div class="container">
    <h2>Change your account settings</h2>
    <hr />
    <div class="row">
        <div class="col-md-3">
            <partial name="_ManageNav" />
        </div>
        <div class="col-md-9">
            @RenderBody()
        </div>
    </div>
</div>

@section Scripts {
    @RenderSection("Scripts", required: false)
}
